Page MenuHomePhabricator

[Regression pre-wmf.15] Math node is appearing as UNIQ marker in Read mode
Closed, ResolvedPublic1 Estimated Story Points

Description

Steps to reproduce:

  1. Add a math node using VE in a page
  2. Save the page

Observed Result:
Math node is not rendering properly in Read mode , appearing with UNIQ ID UNIQ--postMath-00000001-QINU

Event Timeline

Ryasmeen renamed this task from [Regression pre-wmf.14] Math node is appearing as UNIQ marker in Read mode to [Regression pre-wmf.15] Math node is appearing as UNIQ marker in Read mode.Feb 22 2016, 7:33 PM

This is probably related to https://gerrit.wikimedia.org/r/#/c/267878/
I'm not sure what a "math node" nor what "read mode" is.
Since @mobrovac is currently travelling, I'd propose to revert the change, just to be on the save side. However, I do not have rights to backport anything.
@Jdforrester-WMF can you take care that someone looks at this change so that it does not affect production.

Can someone judge the Priority of this task?

Jdforrester-WMF triaged this task as Unbreak Now! priority.Feb 23 2016, 8:14 PM
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

It seems that this is a problem which appears only in PNG rendering mode.
See http://en.wikipedia.beta.wmflabs.org/wiki/User:Physikerwelt/sandbox

Change 272818 had a related patch set uploaded (by Physikerwelt):
Only use parallel rendering in MathML mode

https://gerrit.wikimedia.org/r/272818

Change 272818 merged by jenkins-bot:
Only use parallel rendering in MathML mode

https://gerrit.wikimedia.org/r/272818

Jdforrester-WMF assigned this task to Physikerwelt.
Jdforrester-WMF set the point value for this task to 1.

OK, I think this is now fixed. Thanks, @Physikerwelt!

Should this still be happening on ptwiki? See https://pt.wikipedia.org/wiki/Axioma_da_escolha?oldid=45562403

Does that page show with 'UNIQ's to you? Where? (They don't for me.)

This is what I see on ptwiki, with MathML enabled at Special:preferences#mw-prefsection-rendering:

Na matemática, o axioma da escolha é um axioma da teoria dos conjuntos equivalente à afirmação "o produto de uma coleção não-vazia de conjuntos é não-vazio". Mais explicitamente, diz que para toda família indexada '"UNIQ--postMath-00000001-QINU"' de conjuntos não-vazios existe uma família indexada '"UNIQ--postMath-00000002-QINU"' de elementos tal que '"UNIQ--postMath-00000003-QINU"' para todo '"UNIQ--postMath-00000004-QINU"' Foi formulado em 1904 por Ernst Zermelo.[1] Até o início do século XX era um axioma controverso, mas graças ao trabalho de Zermelo, Hilbert[carece de fontes] e outros matemáticos, o axioma da escolha foi satisfatoriamente modelado em lógica simbólica, resultando na teoria de conjuntos padrão da matemática contemporânea, a teoria ZFC - Zermelo-Fraenkel-Choice.

It does not happen at Benutzer:Physikerwelt/sandbox1 (but I'm not logged in)

mh. I get the impression that a wrong command in the {{cite template kills the whole rendering process. So that the postMath hook is never called.

See my workaround for that particular page
https://pt.wikipedia.org/w/index.php?title=Axioma_da_escolha&type=revision&diff=45620774&oldid=45562403

However, in general this can not be a solution.

Same problem on
https://pt.wikipedia.org/wiki/Princ%C3%ADpio_da_n%C3%A3o_contradi%C3%A7%C3%A3o?oldid=45736369

O princípio da não-contradição é representado do seguinte modo:
'"UNIQ--postMath-00000001-QINU"'
Exemplo: Não ("a bola é redonda" e "a bola não é redonda")

This problem does not seem to be related to math. I think it's about the {{Citation needed}} template (uppercase) template in ptwiki. Since I do no speek portuges I am not able to help there.

I used the special page expand templates and pasted the result to https://pt.wikipedia.org/wiki/Wikip%C3%A9dia:P%C3%A1gina_de_testes/5
which looks good.

Looks like the problem does not happen on special pages. E.g. I copied the example above to MediaWiki:Intentionallyblankpage and loaded Special:BlankPage. The bug appeared on the MediaWiki namespace, but didn't happen on the Special namespace.

Here is another test case, which does not use "Template:Carece de fontes" to call the code which depends on the namespace:

<math>B</math>{{Manutenção/Categorizando por assunto|que carecem de notas de rodapé|data=April 2009}}

https://pt.wikipedia.org/wiki/WP:Página_de_testes/1?oldid=45741658&action=edit&preview=yes&uselang=en
and finally:

<math>B</math>{{#invoke:datas|ISO_8601|April 2009}}

https://pt.wikipedia.org/wiki/WP:Página_de_testes/1?oldid=45741679&action=edit&preview=yes&uselang=en

Notice that if we change the order of <math> and {{#invoke:, the math is displayed correctly:

{{#invoke:datas|ISO_8601|April 2009}}<math>B</math>

Aklapper lowered the priority of this task from Unbreak Now! to High.May 31 2016, 1:14 PM

Lowering priority as this seems to affect pt.wikipedia only and might be some local issue.

@Krinkle @Izno I'm happy to provide information what happens within the math extension, but I will not look into the cite extension code to figure out at which point the strip markers get lost.

Here is another example where I was able to get rid of the UNIQ markers by changing {{Refimprove|date=September 2009}} to {{Sem-fontes|data=dezembro de 2016}}:
https://pt.wikipedia.org/w/index.php?diff=47582007

This is happening consistently on test2 right now.

Problem on en:Wikiversity gotten around by changing "cite web" to "cite book" or by changing "|month=July |year=2016" to "|date=July 2016", e.g.

matmarex added a subscriber: matmarex.

I think this has been fixed by https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Math/+/655884.

Per the original bug report, adding a new math node using VE and saving produces the expected result: https://test.wikipedia.org/w/index.php?title=User:Matma_Rex/sandbox&diff=467415&oldid=422059&diffmode=source


I looked at a few of the linked pages/revisions that used to have the bug, and they also look fine:

It seems that this is a problem which appears only in PNG rendering mode.
See http://en.wikipedia.beta.wmflabs.org/wiki/User:Physikerwelt/sandbox


(well, maybe that's not "fine", but it's not a strip marker, so it's not this bug)

Should this still be happening on ptwiki? See https://pt.wikipedia.org/wiki/Axioma_da_escolha?oldid=45562403

Here is another example where I was able to get rid of the UNIQ markers by changing {{Refimprove|date=September 2009}} to {{Sem-fontes|data=dezembro de 2016}}:
https://pt.wikipedia.org/w/index.php?diff=47582007

mh. I get the impression that a wrong command in the {{cite template kills the whole rendering process. So that the postMath hook is never called.

See my workaround for that particular page
https://pt.wikipedia.org/w/index.php?title=Axioma_da_escolha&type=revision&diff=45620774&oldid=45562403

However, in general this can not be a solution.

Same problem on
https://pt.wikipedia.org/wiki/Princ%C3%ADpio_da_n%C3%A3o_contradi%C3%A7%C3%A3o?oldid=45736369

O princípio da não-contradição é representado do seguinte modo:
'"UNIQ--postMath-00000001-QINU"'
Exemplo: Não ("a bola é redonda" e "a bola não é redonda")